Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[ GLSA 200506-06 ] libextractor: Multiple overflow vulnerabilities
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index News & Announcements
View previous topic :: View next topic  
Author Message
GLSA
Veteran
Veteran


Joined: 12 May 2004
Posts: 1471

PostPosted: Thu Jun 09, 2005 6:24 pm    Post subject: [ GLSA 200506-06 ] libextractor: Multiple overflow vulnerabi Reply with quote

Gentoo Linux Security Advisory

Title: libextractor: Multiple overflow vulnerabilities (GLSA 200506-06)
Severity: normal
Exploitable: remote
Date: June 09, 2005
Bug(s): #79704
ID: 200506-06

Synopsis


libextractor is affected by several overflow vulnerabilities in the PDF,
Real and PNG extractors, making it vulnerable to execution of arbitrary
code.


Background


libextractor is a library used to extract meta-data from files. It
makes use of Xpdf code to extract information from PDF files.


Affected Packages

Package: media-libs/libextractor
Vulnerable: < 0.5.0
Unaffected: >= 0.5.0
Architectures: All supported architectures


Description


Xpdf is vulnerable to multiple overflows, as described in GLSA
200501-28. Also, integer overflows were discovered in Real and PNG
extractors.


Impact


An attacker could design malicious PDF, PNG or Real files which,
when processed by an application making use of libextractor, would
result in the execution of arbitrary code with the rights of the user
running the application.


Workaround


There is no known workaround at this time.


Resolution


All libextractor users should upgrade to the latest version:
Code:
# emerge --sync
    # emerge --ask --oneshot --verbose ">=media-libs/libextractor-0.5.0"


References

CAN-2005-0064
GLSA 200501-28
libextractor security announcement


Last edited by GLSA on Mon Jun 10, 2013 4:20 am; edited 6 times in total
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index News & Announcements All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum